Can't create a new account on Wikibooks
Closed, ResolvedPublic

Description

Author: beesley

Description:
New accounts can not be made on the recently created http://ang.wikibooks.org

After pressing "create new account", I get:

Error in numRows(): Table 'angwikibooks.user_rights' doesn't exist

Backtrace:

  • Database.php line 490 calls wfdebugdiebacktrace()
  • Database.php line 669 calls databasemysql::numrows()
  • MessageCache.php line 261 calls databasemysql::selectrow()
  • GlobalFunctions.php line 392 calls messagecache::get()
  • GlobalFunctions.php line 338 calls wfmsgreal()
  • OutputPage.php line 151 calls wfmsg()
  • OutputPage.php line 166 calls outputpage::getpagetitleactiontext()
  • OutputPage.php line 592 calls outputpage::setpagetitle()
  • Database.php line 348 calls outputpage::databaseerror()
  • Database.php line 297 calls databasemysql::reportqueryerror()
  • Database.php line 863 calls databasemysql::query()
  • User.php line 929 calls databasemysql::insert()
  • SpecialUserlogin.php line 213 calls user::addtodatabase()
  • SpecialUserlogin.php line 201 calls loginform::inituser()
  • SpecialUserlogin.php line 131 calls loginform::addnewaccountinternal()
  • SpecialUserlogin.php line 78 calls loginform::addnewaccount()
  • SpecialUserlogin.php line 24 calls loginform::execute()
  • SpecialPage.php line 309 calls wfspecialuserlogin()
  • SpecialPage.php line 220 calls specialpage::execute()
  • index.php line 94 calls specialpage::executepath()

Version: unspecified
Severity: blocker
URL: http://ang.wikibooks.org/wiki/Special:Userlogin

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1313.
bzimport created this task.Via LegacyJan 11 2005, 9:43 PM
brion added a comment.Via ConduitJan 12 2005, 1:28 AM

It seems some newly created wikis were done on the old schema instead of the new one:
akwikibooks
angwikibooks
miwikibooks
tkwikibooks
wawikibooks
azwikiquote
bswikiquote
crwikiquote
euwikiquote
krwikiquote
tkwikiquote

They've now been upgraded; Tim will look at the creation script to make sure it's fixed in a moment.

bzimport added a comment.Via ConduitFeb 6 2005, 12:23 AM

jra wrote:

Do brion's comments mean that this bug should be closed now? :-)

brion added a comment.Via ConduitFeb 6 2005, 12:30 AM

The other day I found several additional wikis with the same problem (some of them wikibooks-es). Still need to check how they got created and see
why they were broken.

brion added a comment.Via ConduitJul 9 2005, 4:23 AM

Everything got moved to 1.5 now, so no 1.3 wikis left. :D

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.